version: '3.5'

x-frontend-variables: &frontend-variables
  DOMAIN: "${DOMAIN}"
  REACT_APP_DOMAIN_URL: "https://${DOMAIN}/"

services:
  frontend:
    container_name: ${CONTAINERS_NAME}_frontend
    build: .
    volumes:
      - ../dist:/usr/share/nginx/html
    ports:
      - "80:80"
    restart: unless-stopped
    environment:
      <<: *frontend-variables
    deploy:
      resources:
        limits:
          memory: 8096M
        reservations:
          memory: 8096M

